source("culvertPackages.R")

startSnow(8, F)


climate <- "random"
climateFactorVector <- c(.75, 1, 1.25, 1.5, 1.75, 2, 2.25, 2.5, 2.75, 3)

for(l in 1:length(climateFactorVector)){
  randomFactor <- climateFactorVector[l]
  dirName <- paste0("climateFactor", randomFactor)
  dir.create(dirName)
  sfExport("randomFactor")
  #for(i in climates){
    currentList <- vector("list", length = length(strats))
    jCount <- 0
    #climate <- i
    for(j in strats){
      jCount <- jCount + 1
      strategy <- j
      counter <- 1
      sfExport("climate", "strategy")
      result <- sfLapply(1:2000, snowWrapper)
      result <- lapply(result, FUN = function(x) {
        x$iteration <- counter
        counter <<- counter + 1
        return(x)
      })
      result <- createCostDF(result)
      currentList[[jCount]] <- doByStatFrame(result)
      names(currentList)[jCount] <- paste0("variable","_",j, "Stat")
      resultName <- paste0("variable","_",j)
      assign(resultName, result)
      save(list = resultName, file = paste0(dirName, "/", "variable","_",j, ".RData"))
      rm(list = resultName)
    }
    listName <- paste0("variable","List")
    assign(listName, currentList)
    save(list = listName, file = paste0(dirName, "/", "variable","List", ".RData"))
    rm(list = listName)
  #}
  meltNames <- paste(dirName, c("_yMelt", "_cMelt"), sep = "")
  assign(eval(meltNames[1]), meltByYear("variable", strats, T, "year", paste0(dirName, "/")))
  assign(eval(meltNames[2]), meltByYear("variable", strats, T, "culvert", paste0(dirName, "/")))
  save(list = meltNames, file = paste0(dirName, "/", "melts.RData"))
  rm(list = meltNames)
}


